package com.tzld.piaoquan.ad.engine.service.score.dto;

import com.alibaba.fastjson.JSON;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

@Builder
@Data
@ToString
public class AdPlatformCreativeDTO {

    private Long creativeId;

    private String creativeCode;

    private Integer bidType;

    private Double pctr;

    private Double pcvr;

    private Double cpa;

    private Double bid1;

    private Double bid2;

    private Double ecpm1;

    private Double ecpm2;

    public static void main(String[] args) {
        System.out.println(JSON.toJSONString(AdPlatformCreativeDTO.builder()
                .creativeId(3366L)
                .creativeCode("CREATIVE_17036704789851370")
                .bidType(2)
                .pctr(3.2)
                .pcvr(1.2)
                .cpa(40.1)
                .bid1(1.3)
                .bid2(2.1)
                .ecpm1(0.1)
                .ecpm2(0.2)
                .build()));
    }

}
